Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046795
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[POS2] POSmajoralways2021-05-18 09:572021-06-28 16:20
ReporterpsanjuanView Statuspublic 
Assigned Topablobessone 
PrioritynormalResolutionfixedFixed in VersionTAP
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionTAP
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Tojarmendariz
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046795: Amount field remains editable when all the amount of an order is paid.

DescriptionAmount field remains editable when all the amount of an order is paid.
Steps To ReproduceCreate a sale, select any product.
Press Pay.
Notice that a message in shown on top of that window, saying Remaining 12.00€.
Choose a payment method below, for instance cash.

Notice that an exact amount paid message is shown, which is correct, However the cursor remains in the "Amount" field, therefore it is possible to enter any data in the Amount field. This is confusing as no additional amount should be entered in it.

See image attached.
Proposed SolutionOnce an order is fully paid, Amount field should not be editable.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0046704 closedpablobessone Amount field remains editable when all the amount of an order is paid. 

-  Notes
(0129632)
pablobessone (developer)
2021-06-17 20:05

MR created:

- https://gitlab.com/obcustomers/AGAP/org.openbravo.core2/-/merge_requests/30 [^]
- https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2/-/merge_requests/65 [^]

- Issue History
Date Modified Username Field Change
2021-05-21 18:54 guilleaer Type defect => backport
2021-05-21 18:54 guilleaer Target Version => TAP
2021-05-21 18:55 guilleaer Status scheduled => acknowledged
2021-06-11 13:43 pablobessone Assigned To Retail => pablobessone
2021-06-11 13:43 pablobessone Status acknowledged => scheduled
2021-06-17 20:05 pablobessone Note Added: 0129632
2021-06-28 16:20 guilleaer Status scheduled => resolved
2021-06-28 16:20 guilleaer Fixed in Version => TAP
2021-06-28 16:20 guilleaer Resolution open => fixed
2021-06-28 16:20 guilleaer Review Assigned To => jarmendariz
2021-06-28 16:20 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker